import logging

from .middleware import PrometheusMiddleware, metrics
from .instrumentation import setup_opentelemetry

__all__ = ["PrometheusMiddleware", "metrics", "setup_opentelemetry"]


SHARED_LOG_CONFIG = \
    "%(asctime)s %(levelname)s [%(name)s] [%(filename)s:%(lineno)d] [trace_id=%(otelTraceID)s span_id=%(otelSpanID)s resource.service.name=%(otelServiceName)s] - %(message)s"


class EndpointFilter(logging.Filter):
    # Uvicorn endpoint access log filter
    def filter(self, record: logging.LogRecord) -> bool:
        return record.getMessage().find("GET /metrics") == -1


# Filter out /endpoint
logging.getLogger("uvicorn.access").addFilter(EndpointFilter())